Bug 187303 - Sorting of events is not in order
Summary: Sorting of events is not in order
Status: RESOLVED WORKSFORME
Alias: None
Product: kontact
Classification: Applications
Component: summary (show other bugs)
Version: 5.3.1
Platform: Debian testing Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-03-16 13:28 UTC by Ritesh Raj Sarraf
Modified: 2016-11-25 16:39 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Kontact Summary Event Ordering Bug (118.01 KB, image/jpeg)
2009-03-16 13:29 UTC, Ritesh Raj Sarraf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ritesh Raj Sarraf 2009-03-16 13:28:08 UTC
Version:            (using KDE 4.2.1)
OS:                Linux
Installed from:    Debian testing/unstable Packages

Events which has passed in the day should be shown faded. Also events should be properly sorted.

That is not the case currently in Kontact's summary.

I've attached the Screenshot which explains.

An event, which was at 2:30 AM is still displayed after an event which was at 14:00 hrs. Both should be shown faded as they have already passed (you can term that a wishlist) the system time.
Comment 1 Ritesh Raj Sarraf 2009-03-16 13:29:02 UTC
Created attachment 32164 [details]
Kontact Summary Event Ordering Bug
Comment 2 Denis Kurz 2016-09-24 19:25:26 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kontact (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 3 Carioca 2016-10-18 04:41:47 UTC
I still have this problem in kontact 5.1.3.
Comment 4 Denis Kurz 2016-11-03 14:51:24 UTC
Actually, so do I, in version 5.3.2. Thanks for your feedback, Carioca
Comment 5 Ritesh Raj Sarraf 2016-11-03 17:43:13 UTC
(In reply to Denis Kurz from comment #4)
> Actually, so do I, in version 5.3.2. Thanks for your feedback, Carioca

7 years in getting a bug confirmed. @Denis Kurz, your comment made this bug become confirmed. Now, was it you who confirmed it? Or its just that multiple users commenting on the bug auto confirmed it ?